package com.ximai.mes.report.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class WorkOrderProgressProcessListResponse {
    //状态（未开始，加工中，已完成）工序名称，派工数量，报工数量，合格数量，不合格数量，合格率
    @ApiModelProperty("状态")
    private String status;
    @ApiModelProperty("工序名称")
    private String processName;
    @ApiModelProperty("派工数量")
    private BigDecimal quantity;
    @ApiModelProperty("报工数量")
    private BigDecimal quantityProduced;
    @ApiModelProperty("合格数量")
    private BigDecimal  quantityQualify;
    @ApiModelProperty("不合格数量")
    private BigDecimal  quantityUnqualify;
    @ApiModelProperty("合格率")
    private BigDecimal passRate;
    private Long taskId;
}
